## visad.data.dods
Class NumericVectorAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VectorAdapter
              visad.data.dods.NumericVectorAdapter

Direct Known Subclasses:
  Float64VectorAdapter, FloatVectorAdapter

public abstract class NumericVectorAdapter
extends VectorAdapter

Provides support for adapting DODS numeric primitive vectors to the VisAD data-import context.

Instances are immutable.

Constructor Summary
`protected` `NumericVectorAdapter(PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Constructs from a DODS vector and a factory for creating DODS variable adapters.

Method Summary
`abstract GriddedSet` `griddedSet(PrimitiveVector vector)` Returns the VisAD `GriddedSet` corresponding to the metadata of the DODS primitive vector used during construction of this instance and the data values of a compatible DODS primitive vector.
`abstract void` `setField(PrimitiveVector vector, FieldImpl field, boolean copy)` Sets the range of a compatible VisAD `Field`.

Methods inherited from class visad.data.dods.VectorAdapter
`getMathType, getRepresentationalSets, getVariableAdapter, isFlat, setField, setField, setField, setField, setField, setField, setField, setField, setField`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericVectorAdapter

    protected NumericVectorAdapter(PrimitiveVector vector,
                                   DAS das,
                                   VariableAdapterFactory factory)
                            throws BadFormException,
                                   VisADException,
                                   RemoteException

  Constructs from a DODS vector and a factory for creating DODS variable adapters.

Parameters:
  `vector` - A DODS vector to be adapted.
  `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
  `factory` - A factory for creating adapters of DODS variables.
Throws:
  `BadFormException` - The DODS information is corrupt.
  `VisADException` - VisAD failure.
  `RemoteException` - Java RMI failure.

Method Detail

### setField

    public abstract void setField(PrimitiveVector vector,
                                  FieldImpl field,
                                  boolean copy)
                           throws VisADException,
                                  RemoteException

  Sets the range of a compatible VisAD `Field`. The range values are taken from a DODS primitive vector whose metadata must be compatible with the metadata of the primitive vector used during construction of this instance.

  Overrides:
    `setField` in class `VectorAdapter`
  Parameters:
    `vector` - A DODS primitive vector whose data values are to be used to set the range of the VisAD field.
    `field` - A VisAD field to have its range values set.
    `copy` - If true, then the range values are copied from the primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### griddedSet

    public abstract GriddedSet griddedSet(PrimitiveVector vector)
                                   throws VisADException,
                                          RemoteException

  Returns the VisAD `GriddedSet` corresponding to the metadata of the DODS primitive vector used during construction of this instance and the data values of a compatible DODS primitive vector.

  Overrides:
    `griddedSet` in class `VectorAdapter`
  Parameters:
    `vector` - A DODS primitive vector whose metadata is compatible with the metadata of the primitive vector used in construting this instance.
  Returns:
    A VisAD GriddedSet corresponding to the input.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.